Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.experiment
Class PairedStatsCorrected

    java.lang.Object
      weka.experiment.PairedStats
          weka.experiment.PairedStatsCorrected

    public class PairedStatsCorrected

extends PairedStats

A class for storing stats on a paired comparison. This version is based on the corrected resampled t-test statistic, which uses the ratio of the number of test examples/the number of training examples.

For more information see:

Claude Nadeau and Yoshua Bengio, "Inference for the Generalization Error," Machine Learning, 2001.

Version:
  $Revision: 1.2 $
Author:
  Richard Kirkby (rkirkby@cs.waikato.ac.nz)

Field Summary

Fields inherited from class weka.experiment.PairedStats
`correlation, count, differencesProbability, differencesSignificance, differencesStats, sigLevel, xStats, xySum, yStats`

Constructor Summary
`PairedStatsCorrected(double sig, double testTrainRatio)` Creates a new PairedStatsCorrected object with the supplied significance level and train/test ratio.

Method Summary
`void` | `calculateDerived()` Calculates the derived statistics (significance etc).

Methods inherited from class weka.experiment.PairedStats
`add, main, subtract, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PairedStatsCorrected

    public PairedStatsCorrected(double sig,
                                double testTrainRatio)

  Creates a new PairedStatsCorrected object with the supplied significance level and train/test ratio.

  Parameters:
    `sig` - the significance level for comparisons
    `trainTestRatio` - the number test examples/training examples

Method Detail

### calculateDerived

    public void calculateDerived()

  Calculates the derived statistics (significance etc).

  Overrides:
    `calculateDerived` in class `PairedStats`

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD